datablock particleData(GhostParticle)
{
	dragCoefficient			= 3.0;
	windCoefficient			= 0.0;
	gravityCoefficient		= 0.0;
	inheritedVelFactor		= 0.0;
	constantAcceleration		= 0.0;
	lifetimeMS			= 200;
	lifetimeVarianceMS		= 0;
	spinSpeed			= 10.0;
	spinRandomMin			= -50.0;
	spinRandomMax			= 50.0;
	useInvAlpha			= false;
	animateTexture			= false;

	textureName			= "base/data/particles/Cloud";

	sizes[0]			= 1.5;
	sizes[1]			= 1.5;
	times[0]			= 0.0;
	times[1]			= 5.0;
};
datablock particleEmitterData(GhostEmitter)
{
	ejectionPeriodMS		= 2;
	periodVarianceMS		= 0;
	ejectionVelocity		= 0;
	velocityVariance		= 0;
	ejectionOffset			= 0;
	thetaMin			= 0.0;
	thetaMax			= 90.0;  
	particles			= GhostParticle;
};
datablock shapeBaseImageData(GhostImage:WandImage)
{
	firstPersonParticles=0;
	firstPerson=0;
	shapeFile="Base/Data/Shapes/Empty.dts";
	mountPoint=6;
	stateName[0]="Activate";
	stateTimeoutValue[0]=0.01;
	stateEmitter[0]=GhostEmitter;
	stateTransitionOnTimeout[0]="Ready";
	stateSound=weaponSwitchSound;
	stateName[1]="Ready";
	stateEmitter[1]=GhostEmitter;
	stateTransitionOnTriggerDown[1]="PreFire";
	stateAllowImageChange[1]=true;
	stateName[2]="PreFire";
	stateScript[2]="onPreFire";
	stateAllowImageChange[2]=false;
	stateTimeoutValue[2]=0.1;
	statename[3]="Fire";
	stateTransitionOnTimeout="CheckFire";
	stateTimeoutValue[3]=0.2;
	stateFire[3]=true;
	stateAllowImageChange[3]=false;
	stateSequence[3]="Fire";
	stateScript[3]="onFire";
	stateWaitForTimeout[3]=true;
	stateName[4]="checkFire";
	stateTransitionOnTriggerUp[4]="StopFire";
	stateTransitionOnTriggerDown[4]="Fire";
	stateName[5]="StopFire";
	stateTransitionOnTimeout[5]="Ready";
	stateTimeoutValue[5]=0.2;
	stateAllowImageChange=false;
	stateWaitForTimeout[5]=true;
	stateSequence[5]="StopFire";
	stateScript[5]="onStopFire";
};
datablock playerData(GhostPlayer:PlayerStandardArmor)
{
	jetEmitter="";
	jetGroundEmitter="";
};
function serverCmdGhostMe(%this)
{
	if(getMinigameFromObject(%this) != 0)
		return;
	%this.player.setDatablock(GhostPlayer);
	%this.player.setScale(".5 .5 .5");
	%this.player.mountImage(GhostImage,2);
	%this.player.hideNode("ALL");
}